#
# spec file for package php5-pear-DB_DataObject
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-DB_DataObject
%define pear_name  DB_DataObject
%define pear_sname db_dataobject
Summary:        An SQL Builder, Object Interface to Database Tables
License:        PHP-3.01
Group:          Productivity/Networking/Web/Servers
Version:        1.9.5
Release:        20.1
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source:         %{pear_name}-%{version}.tgz
Source1:        %{pear_name}.rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 4.3
BuildRequires:  php-macros
BuildRequires:  php5-pear
Requires:       php >= 4.3
Requires:       php5-pear
Requires:       php-pear-DB >= 1.7.0
Requires:       php-pear-Date >= 1.4.3
#optional
Suggests:       php-pear-MDB2 >= 2.0.0RC1
Suggests:       php-pear-Validate >= 0.1.1
#
Provides:       php-pear-%{pear_name} pear-%{pear_name}
# Fix for renaming (package convention)
Provides:       php5-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
DataObject performs 2 tasks:
1. Builds SQL statements based on the objects vars and the builder methods.
2. acts as a datastore for a table row.
The core class is designed to be extended for each of your tables so that you put the
data logic inside the data classes.
included is a Generator to make your configuration files and your base classes.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
# remove WIN .bat file
%{__rm} -rf %{buildroot}/usr/bin
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc %{pear_name}-%{version}/docs/*

%changelog
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Jan 20 2011 chris@computersalat.de
- change to php_pear_gen_filelist macro
* Wed Jan 19 2011 chris@computersalat.de
- update to 1.9.5
  - fix bug #17554 - update when id=0 (or primary key is 0)
    thanks to the persistance of Jacek Pawlowski
- 1.9.4
  - #17508 - whereAddIn used wrong method to quote strings
  - #6202 - better docs on getLinkArray - needs documentation as well
    really..
  - #17343 - tidy up padding code, - fix alignnment of comments in
    generated files (Original Patch by madsliejensen)
  - #17289 - fix sequence_<table> = XXXXX (madsliejensen)
  - #17157 - use property_exists in newer versions of php.
- for mor info see ChangeLog
  http://pear.php.net/package/DB_DataObject/download/All
- added php-macros
- added rpmlintrc
  o addFilter: non-executable-script
* Tue Nov 10 2009 chris@computersalat.de
- new version 1.8.12
  - Changed Error and Cast Licence to 3.01 to keep Debian/Ubuntu happy.
  o version 1.8.11
  - Licence changed to 3.01 to keep Debian/Ubuntu happy.
  - Change order of preference for links in JoinAdd - prefer called table links over jointo table.
  - Retry support for connection failure on queries
  - Factory now uses '/' for database/table seperator (experimental)
  - Fix INSERT on Postresql with empty data.
* Sat May 30 2009 chris@computersalat.de
- fixed deps (removed)
  o because optional
  o Requires php-pear-MDB2 >= 2.0.0RC1
  o Requires php-pear-Validate >= 0.1.1
* Sat May 30 2009 chris@computersalat.de
- fixed post script
* Thu May 21 2009 chris@computersalat.de
- added stuff to automatically create correct filelist
  o tested against Factory (1120)
  o opensuse >= 1100 complains about
    "directory not owned by package"
- some rpmlint stuff
* Tue May 19 2009 chris@computersalat.de
- initial package - 1.8.10
